Bug 1129251 - [RFE] [RHEV] storage load balancing when creating VM from template [NEEDINFO]
Summary: [RFE] [RHEV] storage load balancing when creating VM from template
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Rob Young
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 11:57 UTC by Evgheni Dereveanchin
Modified: 2019-08-30 13:14 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-30 13:14:06 UTC
oVirt Team: Virt
mkalinin: needinfo? (pelauter)
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1081536 None CLOSED [RFE] Making VM pools able to allocate VMs to multiple storage domains to balance disk usage 2019-09-10 15:33:50 UTC

Internal Links: 1081536

Description Evgheni Dereveanchin 2014-08-12 11:57:34 UTC
Description of problem:
At the moment it is possible to clone a VM template to multiple Storage Domains. When creating a VM from template using the API without specifying the storage domain, it will be implicitly stored on the original Storage Domain where the template was created. This RFE is to enable storage load balancing when creating VMs from templates, so that the least used SD (in free space percentage) is selected to provision the VM when no destination SD is selected explicitly and template is copied to multiple SDs

Version-Release number of selected component (if applicable):
3.4.1

How reproducible:
Always

Steps to Reproduce:
1. create VM template on SD1
2. clone template to SD2
3. create VM using the API without specifying the destination SD

Actual results:
VM disks always placed on SD1

Expected results:
VM disks created on the SD with more free space at the moment


Note You need to log in before you can comment on or make changes to this bug.